/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var code = $.getUrlParam('FIELD_CODE');
var qxlx = 'YBYW';
/****/
/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载业务类型数据
var v_qxlxquery = {};
v_qxlxquery.FIELD_tableName = "DM_ST_QXLX";
var v_qxlxquery_data = standardModel.dataAction.listAllCache(v_qxlxquery);
/****/

/**
 * 序号：6
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
var setting = setInitTreeGroup("NAME","NAME","UUID","PARENT_ID");

function loadData(){
	loadTreeGroup("jwAppsUserData_listUSERGLUSER?FIELD_CODE="+code+"&FIELD_QXLX="+qxlx,"usertab_user_tree","UUID","1_0");	
}
loadData();
function getTreeNode(treeNode){
	parent.$('#return_text').text(treeNode);
	parent.$('#return_text1').text(qxlx);
}
function defautClick(zTree,treeNode){
	var nodes = zTree.getCheckedNodes(true); 
	v="";
	for(var i=0;i<nodes.length;i++){
	v+=nodes[i].UUID + ",";
	}
	getTreeNode(v);
	
	$('#QXLX').combobox({
		data : v_qxlxquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto',
		onSelect: function(rec){
			qxlx = rec.CODE_ID;
			loadData();
		}
	});
	$('#QXLX').combobox('setValue',qxlx);
}

